vxml.h File Reference
`#include <ptclib/pxml.h>`
`#include <ptlib/pfactory.h>`
`#include <ptlib/pipechan.h>`
`#include <ptclib/delaychan.h>`
`#include <ptclib/pwavfile.h>`
`#include <ptclib/ptts.h>`
`#include <ptclib/url.h>`
`#include <queue>`
`#include <ptclib/dtmf.h>`

Go to the source code of this file.

## Classes

class | PVXMLGrammar
class | PVXMLMenuGrammar
class | PVXMLDigitsGrammar
class | PVXMLCache
class | PVXMLSession
class | PVXMLRecordable
class | PVXMLRecordableFilename
class | PVXMLPlayable
class | PVXMLPlayableStop
class | PVXMLPlayableURL
class | PVXMLPlayableData
class | PVXMLPlayableTone
class | PVXMLPlayableCommand
class | PVXMLPlayableFile
class | PVXMLPlayableFileList
class | PVXMLChannel
class | PVXMLNodeHandler

## Macros

#define | VXML_PCM16 "PCM-16"
#define | VXML_G7231 "G.723.1"
#define | VXML_G729 "G.729"

## Typedefs

typedef PFactory< PVXMLNodeHandler, PCaselessString > | PVXMLNodeFactory

## Functions

| PQUEUE (PVXMLQueue, PVXMLPlayable)

## Macro Definition Documentation

#define VXML_G7231 "G.723.1"

#define VXML_G729 "G.729"

#define VXML_PCM16 "PCM-16"

## Typedef Documentation

typedef PFactory<PVXMLNodeHandler, PCaselessString> PVXMLNodeFactory

## Function Documentation

PQUEUE | ( | PVXMLQueue | ,
|  | PVXMLPlayable |
| ) |  |